Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
233.0.0.0
Broadcast address
233.127.255.255
First usable
233.0.0.1
Last usable
233.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9000000 · Integer 3909091328 to 3917479935
Reverse DNS zones
0.233.in-addr.arpa
1.233.in-addr.arpa
2.233.in-addr.arpa
3.233.in-addr.arpa
4.233.in-addr.arpa
5.233.in-addr.arpa
6.233.in-addr.arpa
7.233.in-addr.arpa
8.233.in-addr.arpa
9.233.in-addr.arpa
10.233.in-addr.arpa
11.233.in-addr.arpa
12.233.in-addr.arpa
13.233.in-addr.arpa
14.233.in-addr.arpa
15.233.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.00000000.00000000.00000000233.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101001.00000000.00000000.00000000233.0.0.0
Broadcast11101001.01111111.11111111.11111111233.127.255.255
Split into smaller subnets/19

233.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.0.0.0/19233.0.0.1 to 233.0.31.254233.0.31.2558,190
2233.0.32.0/19233.0.32.1 to 233.0.63.254233.0.63.2558,190
3233.0.64.0/19233.0.64.1 to 233.0.95.254233.0.95.2558,190
4233.0.96.0/19233.0.96.1 to 233.0.127.254233.0.127.2558,190
5233.0.128.0/19233.0.128.1 to 233.0.159.254233.0.159.2558,190
6233.0.160.0/19233.0.160.1 to 233.0.191.254233.0.191.2558,190
7233.0.192.0/19233.0.192.1 to 233.0.223.254233.0.223.2558,190
8233.0.224.0/19233.0.224.1 to 233.0.255.254233.0.255.2558,190
9233.1.0.0/19233.1.0.1 to 233.1.31.254233.1.31.2558,190
10233.1.32.0/19233.1.32.1 to 233.1.63.254233.1.63.2558,190
11233.1.64.0/19233.1.64.1 to 233.1.95.254233.1.95.2558,190
12233.1.96.0/19233.1.96.1 to 233.1.127.254233.1.127.2558,190
13233.1.128.0/19233.1.128.1 to 233.1.159.254233.1.159.2558,190
14233.1.160.0/19233.1.160.1 to 233.1.191.254233.1.191.2558,190
15233.1.192.0/19233.1.192.1 to 233.1.223.254233.1.223.2558,190
16233.1.224.0/19233.1.224.1 to 233.1.255.254233.1.255.2558,190
17233.2.0.0/19233.2.0.1 to 233.2.31.254233.2.31.2558,190
18233.2.32.0/19233.2.32.1 to 233.2.63.254233.2.63.2558,190
19233.2.64.0/19233.2.64.1 to 233.2.95.254233.2.95.2558,190
20233.2.96.0/19233.2.96.1 to 233.2.127.254233.2.127.2558,190
21233.2.128.0/19233.2.128.1 to 233.2.159.254233.2.159.2558,190
22233.2.160.0/19233.2.160.1 to 233.2.191.254233.2.191.2558,190
23233.2.192.0/19233.2.192.1 to 233.2.223.254233.2.223.2558,190
24233.2.224.0/19233.2.224.1 to 233.2.255.254233.2.255.2558,190
25233.3.0.0/19233.3.0.1 to 233.3.31.254233.3.31.2558,190
26233.3.32.0/19233.3.32.1 to 233.3.63.254233.3.63.2558,190
27233.3.64.0/19233.3.64.1 to 233.3.95.254233.3.95.2558,190
28233.3.96.0/19233.3.96.1 to 233.3.127.254233.3.127.2558,190
29233.3.128.0/19233.3.128.1 to 233.3.159.254233.3.159.2558,190
30233.3.160.0/19233.3.160.1 to 233.3.191.254233.3.191.2558,190
31233.3.192.0/19233.3.192.1 to 233.3.223.254233.3.223.2558,190
32233.3.224.0/19233.3.224.1 to 233.3.255.254233.3.255.2558,190
33233.4.0.0/19233.4.0.1 to 233.4.31.254233.4.31.2558,190
34233.4.32.0/19233.4.32.1 to 233.4.63.254233.4.63.2558,190
35233.4.64.0/19233.4.64.1 to 233.4.95.254233.4.95.2558,190
36233.4.96.0/19233.4.96.1 to 233.4.127.254233.4.127.2558,190
37233.4.128.0/19233.4.128.1 to 233.4.159.254233.4.159.2558,190
38233.4.160.0/19233.4.160.1 to 233.4.191.254233.4.191.2558,190
39233.4.192.0/19233.4.192.1 to 233.4.223.254233.4.223.2558,190
40233.4.224.0/19233.4.224.1 to 233.4.255.254233.4.255.2558,190
41233.5.0.0/19233.5.0.1 to 233.5.31.254233.5.31.2558,190
42233.5.32.0/19233.5.32.1 to 233.5.63.254233.5.63.2558,190
43233.5.64.0/19233.5.64.1 to 233.5.95.254233.5.95.2558,190
44233.5.96.0/19233.5.96.1 to 233.5.127.254233.5.127.2558,190
45233.5.128.0/19233.5.128.1 to 233.5.159.254233.5.159.2558,190
46233.5.160.0/19233.5.160.1 to 233.5.191.254233.5.191.2558,190
47233.5.192.0/19233.5.192.1 to 233.5.223.254233.5.223.2558,190
48233.5.224.0/19233.5.224.1 to 233.5.255.254233.5.255.2558,190
49233.6.0.0/19233.6.0.1 to 233.6.31.254233.6.31.2558,190
50233.6.32.0/19233.6.32.1 to 233.6.63.254233.6.63.2558,190
51233.6.64.0/19233.6.64.1 to 233.6.95.254233.6.95.2558,190
52233.6.96.0/19233.6.96.1 to 233.6.127.254233.6.127.2558,190
53233.6.128.0/19233.6.128.1 to 233.6.159.254233.6.159.2558,190
54233.6.160.0/19233.6.160.1 to 233.6.191.254233.6.191.2558,190
55233.6.192.0/19233.6.192.1 to 233.6.223.254233.6.223.2558,190
56233.6.224.0/19233.6.224.1 to 233.6.255.254233.6.255.2558,190
57233.7.0.0/19233.7.0.1 to 233.7.31.254233.7.31.2558,190
58233.7.32.0/19233.7.32.1 to 233.7.63.254233.7.63.2558,190
59233.7.64.0/19233.7.64.1 to 233.7.95.254233.7.95.2558,190
60233.7.96.0/19233.7.96.1 to 233.7.127.254233.7.127.2558,190
61233.7.128.0/19233.7.128.1 to 233.7.159.254233.7.159.2558,190
62233.7.160.0/19233.7.160.1 to 233.7.191.254233.7.191.2558,190
63233.7.192.0/19233.7.192.1 to 233.7.223.254233.7.223.2558,190
64233.7.224.0/19233.7.224.1 to 233.7.255.254233.7.255.2558,190
65233.8.0.0/19233.8.0.1 to 233.8.31.254233.8.31.2558,190
66233.8.32.0/19233.8.32.1 to 233.8.63.254233.8.63.2558,190
67233.8.64.0/19233.8.64.1 to 233.8.95.254233.8.95.2558,190
68233.8.96.0/19233.8.96.1 to 233.8.127.254233.8.127.2558,190
69233.8.128.0/19233.8.128.1 to 233.8.159.254233.8.159.2558,190
70233.8.160.0/19233.8.160.1 to 233.8.191.254233.8.191.2558,190
71233.8.192.0/19233.8.192.1 to 233.8.223.254233.8.223.2558,190
72233.8.224.0/19233.8.224.1 to 233.8.255.254233.8.255.2558,190
73233.9.0.0/19233.9.0.1 to 233.9.31.254233.9.31.2558,190
74233.9.32.0/19233.9.32.1 to 233.9.63.254233.9.63.2558,190
75233.9.64.0/19233.9.64.1 to 233.9.95.254233.9.95.2558,190
76233.9.96.0/19233.9.96.1 to 233.9.127.254233.9.127.2558,190
77233.9.128.0/19233.9.128.1 to 233.9.159.254233.9.159.2558,190
78233.9.160.0/19233.9.160.1 to 233.9.191.254233.9.191.2558,190
79233.9.192.0/19233.9.192.1 to 233.9.223.254233.9.223.2558,190
80233.9.224.0/19233.9.224.1 to 233.9.255.254233.9.255.2558,190
81233.10.0.0/19233.10.0.1 to 233.10.31.254233.10.31.2558,190
82233.10.32.0/19233.10.32.1 to 233.10.63.254233.10.63.2558,190
83233.10.64.0/19233.10.64.1 to 233.10.95.254233.10.95.2558,190
84233.10.96.0/19233.10.96.1 to 233.10.127.254233.10.127.2558,190
85233.10.128.0/19233.10.128.1 to 233.10.159.254233.10.159.2558,190
86233.10.160.0/19233.10.160.1 to 233.10.191.254233.10.191.2558,190
87233.10.192.0/19233.10.192.1 to 233.10.223.254233.10.223.2558,190
88233.10.224.0/19233.10.224.1 to 233.10.255.254233.10.255.2558,190
89233.11.0.0/19233.11.0.1 to 233.11.31.254233.11.31.2558,190
90233.11.32.0/19233.11.32.1 to 233.11.63.254233.11.63.2558,190
91233.11.64.0/19233.11.64.1 to 233.11.95.254233.11.95.2558,190
92233.11.96.0/19233.11.96.1 to 233.11.127.254233.11.127.2558,190
93233.11.128.0/19233.11.128.1 to 233.11.159.254233.11.159.2558,190
94233.11.160.0/19233.11.160.1 to 233.11.191.254233.11.191.2558,190
95233.11.192.0/19233.11.192.1 to 233.11.223.254233.11.223.2558,190
96233.11.224.0/19233.11.224.1 to 233.11.255.254233.11.255.2558,190
97233.12.0.0/19233.12.0.1 to 233.12.31.254233.12.31.2558,190
98233.12.32.0/19233.12.32.1 to 233.12.63.254233.12.63.2558,190
99233.12.64.0/19233.12.64.1 to 233.12.95.254233.12.95.2558,190
100233.12.96.0/19233.12.96.1 to 233.12.127.254233.12.127.2558,190
101233.12.128.0/19233.12.128.1 to 233.12.159.254233.12.159.2558,190
102233.12.160.0/19233.12.160.1 to 233.12.191.254233.12.191.2558,190
103233.12.192.0/19233.12.192.1 to 233.12.223.254233.12.223.2558,190
104233.12.224.0/19233.12.224.1 to 233.12.255.254233.12.255.2558,190
105233.13.0.0/19233.13.0.1 to 233.13.31.254233.13.31.2558,190
106233.13.32.0/19233.13.32.1 to 233.13.63.254233.13.63.2558,190
107233.13.64.0/19233.13.64.1 to 233.13.95.254233.13.95.2558,190
108233.13.96.0/19233.13.96.1 to 233.13.127.254233.13.127.2558,190
109233.13.128.0/19233.13.128.1 to 233.13.159.254233.13.159.2558,190
110233.13.160.0/19233.13.160.1 to 233.13.191.254233.13.191.2558,190
111233.13.192.0/19233.13.192.1 to 233.13.223.254233.13.223.2558,190
112233.13.224.0/19233.13.224.1 to 233.13.255.254233.13.255.2558,190
113233.14.0.0/19233.14.0.1 to 233.14.31.254233.14.31.2558,190
114233.14.32.0/19233.14.32.1 to 233.14.63.254233.14.63.2558,190
115233.14.64.0/19233.14.64.1 to 233.14.95.254233.14.95.2558,190
116233.14.96.0/19233.14.96.1 to 233.14.127.254233.14.127.2558,190
117233.14.128.0/19233.14.128.1 to 233.14.159.254233.14.159.2558,190
118233.14.160.0/19233.14.160.1 to 233.14.191.254233.14.191.2558,190
119233.14.192.0/19233.14.192.1 to 233.14.223.254233.14.223.2558,190
120233.14.224.0/19233.14.224.1 to 233.14.255.254233.14.255.2558,190
121233.15.0.0/19233.15.0.1 to 233.15.31.254233.15.31.2558,190
122233.15.32.0/19233.15.32.1 to 233.15.63.254233.15.63.2558,190
123233.15.64.0/19233.15.64.1 to 233.15.95.254233.15.95.2558,190
124233.15.96.0/19233.15.96.1 to 233.15.127.254233.15.127.2558,190
125233.15.128.0/19233.15.128.1 to 233.15.159.254233.15.159.2558,190
126233.15.160.0/19233.15.160.1 to 233.15.191.254233.15.191.2558,190
127233.15.192.0/19233.15.192.1 to 233.15.223.254233.15.223.2558,190
128233.15.224.0/19233.15.224.1 to 233.15.255.254233.15.255.2558,190
129233.16.0.0/19233.16.0.1 to 233.16.31.254233.16.31.2558,190
130233.16.32.0/19233.16.32.1 to 233.16.63.254233.16.63.2558,190
131233.16.64.0/19233.16.64.1 to 233.16.95.254233.16.95.2558,190
132233.16.96.0/19233.16.96.1 to 233.16.127.254233.16.127.2558,190
133233.16.128.0/19233.16.128.1 to 233.16.159.254233.16.159.2558,190
134233.16.160.0/19233.16.160.1 to 233.16.191.254233.16.191.2558,190
135233.16.192.0/19233.16.192.1 to 233.16.223.254233.16.223.2558,190
136233.16.224.0/19233.16.224.1 to 233.16.255.254233.16.255.2558,190
137233.17.0.0/19233.17.0.1 to 233.17.31.254233.17.31.2558,190
138233.17.32.0/19233.17.32.1 to 233.17.63.254233.17.63.2558,190
139233.17.64.0/19233.17.64.1 to 233.17.95.254233.17.95.2558,190
140233.17.96.0/19233.17.96.1 to 233.17.127.254233.17.127.2558,190
141233.17.128.0/19233.17.128.1 to 233.17.159.254233.17.159.2558,190
142233.17.160.0/19233.17.160.1 to 233.17.191.254233.17.191.2558,190
143233.17.192.0/19233.17.192.1 to 233.17.223.254233.17.223.2558,190
144233.17.224.0/19233.17.224.1 to 233.17.255.254233.17.255.2558,190
145233.18.0.0/19233.18.0.1 to 233.18.31.254233.18.31.2558,190
146233.18.32.0/19233.18.32.1 to 233.18.63.254233.18.63.2558,190
147233.18.64.0/19233.18.64.1 to 233.18.95.254233.18.95.2558,190
148233.18.96.0/19233.18.96.1 to 233.18.127.254233.18.127.2558,190
149233.18.128.0/19233.18.128.1 to 233.18.159.254233.18.159.2558,190
150233.18.160.0/19233.18.160.1 to 233.18.191.254233.18.191.2558,190
151233.18.192.0/19233.18.192.1 to 233.18.223.254233.18.223.2558,190
152233.18.224.0/19233.18.224.1 to 233.18.255.254233.18.255.2558,190
153233.19.0.0/19233.19.0.1 to 233.19.31.254233.19.31.2558,190
154233.19.32.0/19233.19.32.1 to 233.19.63.254233.19.63.2558,190
155233.19.64.0/19233.19.64.1 to 233.19.95.254233.19.95.2558,190
156233.19.96.0/19233.19.96.1 to 233.19.127.254233.19.127.2558,190
157233.19.128.0/19233.19.128.1 to 233.19.159.254233.19.159.2558,190
158233.19.160.0/19233.19.160.1 to 233.19.191.254233.19.191.2558,190
159233.19.192.0/19233.19.192.1 to 233.19.223.254233.19.223.2558,190
160233.19.224.0/19233.19.224.1 to 233.19.255.254233.19.255.2558,190
161233.20.0.0/19233.20.0.1 to 233.20.31.254233.20.31.2558,190
162233.20.32.0/19233.20.32.1 to 233.20.63.254233.20.63.2558,190
163233.20.64.0/19233.20.64.1 to 233.20.95.254233.20.95.2558,190
164233.20.96.0/19233.20.96.1 to 233.20.127.254233.20.127.2558,190
165233.20.128.0/19233.20.128.1 to 233.20.159.254233.20.159.2558,190
166233.20.160.0/19233.20.160.1 to 233.20.191.254233.20.191.2558,190
167233.20.192.0/19233.20.192.1 to 233.20.223.254233.20.223.2558,190
168233.20.224.0/19233.20.224.1 to 233.20.255.254233.20.255.2558,190
169233.21.0.0/19233.21.0.1 to 233.21.31.254233.21.31.2558,190
170233.21.32.0/19233.21.32.1 to 233.21.63.254233.21.63.2558,190
171233.21.64.0/19233.21.64.1 to 233.21.95.254233.21.95.2558,190
172233.21.96.0/19233.21.96.1 to 233.21.127.254233.21.127.2558,190
173233.21.128.0/19233.21.128.1 to 233.21.159.254233.21.159.2558,190
174233.21.160.0/19233.21.160.1 to 233.21.191.254233.21.191.2558,190
175233.21.192.0/19233.21.192.1 to 233.21.223.254233.21.223.2558,190
176233.21.224.0/19233.21.224.1 to 233.21.255.254233.21.255.2558,190
177233.22.0.0/19233.22.0.1 to 233.22.31.254233.22.31.2558,190
178233.22.32.0/19233.22.32.1 to 233.22.63.254233.22.63.2558,190
179233.22.64.0/19233.22.64.1 to 233.22.95.254233.22.95.2558,190
180233.22.96.0/19233.22.96.1 to 233.22.127.254233.22.127.2558,190
181233.22.128.0/19233.22.128.1 to 233.22.159.254233.22.159.2558,190
182233.22.160.0/19233.22.160.1 to 233.22.191.254233.22.191.2558,190
183233.22.192.0/19233.22.192.1 to 233.22.223.254233.22.223.2558,190
184233.22.224.0/19233.22.224.1 to 233.22.255.254233.22.255.2558,190
185233.23.0.0/19233.23.0.1 to 233.23.31.254233.23.31.2558,190
186233.23.32.0/19233.23.32.1 to 233.23.63.254233.23.63.2558,190
187233.23.64.0/19233.23.64.1 to 233.23.95.254233.23.95.2558,190
188233.23.96.0/19233.23.96.1 to 233.23.127.254233.23.127.2558,190
189233.23.128.0/19233.23.128.1 to 233.23.159.254233.23.159.2558,190
190233.23.160.0/19233.23.160.1 to 233.23.191.254233.23.191.2558,190
191233.23.192.0/19233.23.192.1 to 233.23.223.254233.23.223.2558,190
192233.23.224.0/19233.23.224.1 to 233.23.255.254233.23.255.2558,190
193233.24.0.0/19233.24.0.1 to 233.24.31.254233.24.31.2558,190
194233.24.32.0/19233.24.32.1 to 233.24.63.254233.24.63.2558,190
195233.24.64.0/19233.24.64.1 to 233.24.95.254233.24.95.2558,190
196233.24.96.0/19233.24.96.1 to 233.24.127.254233.24.127.2558,190
197233.24.128.0/19233.24.128.1 to 233.24.159.254233.24.159.2558,190
198233.24.160.0/19233.24.160.1 to 233.24.191.254233.24.191.2558,190
199233.24.192.0/19233.24.192.1 to 233.24.223.254233.24.223.2558,190
200233.24.224.0/19233.24.224.1 to 233.24.255.254233.24.255.2558,190
201233.25.0.0/19233.25.0.1 to 233.25.31.254233.25.31.2558,190
202233.25.32.0/19233.25.32.1 to 233.25.63.254233.25.63.2558,190
203233.25.64.0/19233.25.64.1 to 233.25.95.254233.25.95.2558,190
204233.25.96.0/19233.25.96.1 to 233.25.127.254233.25.127.2558,190
205233.25.128.0/19233.25.128.1 to 233.25.159.254233.25.159.2558,190
206233.25.160.0/19233.25.160.1 to 233.25.191.254233.25.191.2558,190
207233.25.192.0/19233.25.192.1 to 233.25.223.254233.25.223.2558,190
208233.25.224.0/19233.25.224.1 to 233.25.255.254233.25.255.2558,190
209233.26.0.0/19233.26.0.1 to 233.26.31.254233.26.31.2558,190
210233.26.32.0/19233.26.32.1 to 233.26.63.254233.26.63.2558,190
211233.26.64.0/19233.26.64.1 to 233.26.95.254233.26.95.2558,190
212233.26.96.0/19233.26.96.1 to 233.26.127.254233.26.127.2558,190
213233.26.128.0/19233.26.128.1 to 233.26.159.254233.26.159.2558,190
214233.26.160.0/19233.26.160.1 to 233.26.191.254233.26.191.2558,190
215233.26.192.0/19233.26.192.1 to 233.26.223.254233.26.223.2558,190
216233.26.224.0/19233.26.224.1 to 233.26.255.254233.26.255.2558,190
217233.27.0.0/19233.27.0.1 to 233.27.31.254233.27.31.2558,190
218233.27.32.0/19233.27.32.1 to 233.27.63.254233.27.63.2558,190
219233.27.64.0/19233.27.64.1 to 233.27.95.254233.27.95.2558,190
220233.27.96.0/19233.27.96.1 to 233.27.127.254233.27.127.2558,190
221233.27.128.0/19233.27.128.1 to 233.27.159.254233.27.159.2558,190
222233.27.160.0/19233.27.160.1 to 233.27.191.254233.27.191.2558,190
223233.27.192.0/19233.27.192.1 to 233.27.223.254233.27.223.2558,190
224233.27.224.0/19233.27.224.1 to 233.27.255.254233.27.255.2558,190
225233.28.0.0/19233.28.0.1 to 233.28.31.254233.28.31.2558,190
226233.28.32.0/19233.28.32.1 to 233.28.63.254233.28.63.2558,190
227233.28.64.0/19233.28.64.1 to 233.28.95.254233.28.95.2558,190
228233.28.96.0/19233.28.96.1 to 233.28.127.254233.28.127.2558,190
229233.28.128.0/19233.28.128.1 to 233.28.159.254233.28.159.2558,190
230233.28.160.0/19233.28.160.1 to 233.28.191.254233.28.191.2558,190
231233.28.192.0/19233.28.192.1 to 233.28.223.254233.28.223.2558,190
232233.28.224.0/19233.28.224.1 to 233.28.255.254233.28.255.2558,190
233233.29.0.0/19233.29.0.1 to 233.29.31.254233.29.31.2558,190
234233.29.32.0/19233.29.32.1 to 233.29.63.254233.29.63.2558,190
235233.29.64.0/19233.29.64.1 to 233.29.95.254233.29.95.2558,190
236233.29.96.0/19233.29.96.1 to 233.29.127.254233.29.127.2558,190
237233.29.128.0/19233.29.128.1 to 233.29.159.254233.29.159.2558,190
238233.29.160.0/19233.29.160.1 to 233.29.191.254233.29.191.2558,190
239233.29.192.0/19233.29.192.1 to 233.29.223.254233.29.223.2558,190
240233.29.224.0/19233.29.224.1 to 233.29.255.254233.29.255.2558,190
241233.30.0.0/19233.30.0.1 to 233.30.31.254233.30.31.2558,190
242233.30.32.0/19233.30.32.1 to 233.30.63.254233.30.63.2558,190
243233.30.64.0/19233.30.64.1 to 233.30.95.254233.30.95.2558,190
244233.30.96.0/19233.30.96.1 to 233.30.127.254233.30.127.2558,190
245233.30.128.0/19233.30.128.1 to 233.30.159.254233.30.159.2558,190
246233.30.160.0/19233.30.160.1 to 233.30.191.254233.30.191.2558,190
247233.30.192.0/19233.30.192.1 to 233.30.223.254233.30.223.2558,190
248233.30.224.0/19233.30.224.1 to 233.30.255.254233.30.255.2558,190
249233.31.0.0/19233.31.0.1 to 233.31.31.254233.31.31.2558,190
250233.31.32.0/19233.31.32.1 to 233.31.63.254233.31.63.2558,190
251233.31.64.0/19233.31.64.1 to 233.31.95.254233.31.95.2558,190
252233.31.96.0/19233.31.96.1 to 233.31.127.254233.31.127.2558,190
253233.31.128.0/19233.31.128.1 to 233.31.159.254233.31.159.2558,190
254233.31.160.0/19233.31.160.1 to 233.31.191.254233.31.191.2558,190
255233.31.192.0/19233.31.192.1 to 233.31.223.254233.31.223.2558,190
256233.31.224.0/19233.31.224.1 to 233.31.255.254233.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses